Subject: bug#13731: 24.3.50; C-h N -- Outline navigation Fails

From: "Drew Adams" <[email-masked]>
Date: Tue, 19 Feb 2013 14:03:47 -0800

> > Well, I would say this calls for making it a variable instead of an
> > option.  This is what we do for org-outline-regexp for example.
> 
> Agreed,

Are you not just focusing on the local-variable use case?

What about the case of a global user preference wrt the regexp to use?

Isn't it likely that some users customize this (i.e., as an option), to get a
different general behavior globally?  This option has been around for a very
long time.

Why not provide for both: (a) a general (global) user preference for the default
regexp to use and (b) local behavior that deviates from that behavior?

IOW, add a non-option variable, instead of just replacing the existing option
with a non-option variable.